OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CameraModelD2 Class Reference

`#include <StepVisual_CameraModelD2.hxx>`

Inheritance diagram for StepVisual_CameraModelD2:

[legend]

## Public Member Functions
Standard_EXPORT | StepVisual_CameraModelD2 ()
| Returns a CameraModelD2 .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_PlanarBox)&aViewWindow, const Standard_Boolean aViewWindowClipping)
Standard_EXPORT void | SetViewWindow (const Handle(StepVisual_PlanarBox)&aViewWindow)
Standard_EXPORT Handle_StepVisual_PlanarBox | ViewWindow () const
Standard_EXPORT void | SetViewWindowClipping (const Standard_Boolean aViewWindowClipping)
Standard_EXPORT Standard_Boolean | ViewWindowClipping () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepVisual_PlanarBox | viewWindow
Standard_Boolean | viewWindowClipping

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CameraModelD2::StepVisual_CameraModelD2 | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_CameraModelD2::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_CameraModel.

virtual Standard_EXPORT void StepVisual_CameraModelD2::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_PlanarBox)& | aViewWindow,
|  | const Standard_Boolean | aViewWindowClipping
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_CameraModelD2::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepVisual_CameraModelD2::SetViewWindow | ( | const Handle(StepVisual_PlanarBox)& | aViewWindow | ) |

Standard_EXPORT void StepVisual_CameraModelD2::SetViewWindowClipping | ( | const Standard_Boolean | aViewWindowClipping | ) |

Standard_EXPORT Handle_StepVisual_PlanarBox StepVisual_CameraModelD2::ViewWindow | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepVisual_CameraModelD2::ViewWindowClipping | ( |  | ) | const

## Field Documentation

Handle_StepVisual_PlanarBox StepVisual_CameraModelD2::viewWindow`[private]`

Standard_Boolean StepVisual_CameraModelD2::viewWindowClipping`[private]`

The documentation for this class was generated from the following file:

- StepVisual_CameraModelD2.hxx